For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet account information
        • GETGet account history
        • GETReturn account info of current account
        • GETGet account margin configuration
        • POSTSet margin configuration
        • GETGet account profile information
        • PUTUpdates account profile
        • POSTUpdates account max slippage for a specific market
        • POSTUpdates account notification preferences
        • POSTUpdates account profile fields
        • POSTUpdates account size currency display preference
        • POSTUpdates account profile username fields
        • POSTUpdates account referred_by field
        • GETGet account settings
        • POSTUpdates account trading value display
        • GETList sub-accounts of current account
        • GETGet account summaries (main account + authorized accounts)
        • GETList balances
        • GETList fills
        • GETFunding payments history
        • GETList open positions
        • GETList tradebusts
        • GETList transactions
        • POSTUpdates Account Max Slippage
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceAccount

Get account history

GET
https://api.testnet.paradex.trade/v1/account/history
GET
/v1/account/history
$curl -G https://api.testnet.paradex.trade/v1/account/history \
> -H "Authorization: <apiKey>" \
> -d type=pnl
1{
2 "data": [
3 125.75,
4 130.4,
5 128.9,
6 135.2,
7 140
8 ],
9 "timestamps": [
10 1685606400,
11 1685692800,
12 1685779200,
13 1685865600,
14 1685952000
15 ]
16}
Respond with requester's account information
Was this page helpful?
Previous

Return account info of current account

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

typeenumRequired
Type of data
Allowed values:

Response

OK
datalist of doubles
Ordered list of datapoints
timestampslist of integers
Ordered list of timestamps

Errors

400
Bad Request Error
401
Unauthorized Error